#
# Conditional build:
%bcond_with	tests		# build without tests

%define	pkgname net-scp
Summary:	A pure Ruby implementation of the SCP client protocol
Name:		ruby-%{pkgname}
Version:	1.2.1
Release:	2
License:	MIT
Group:		Development/Languages
Source0:	http://rubygems.org/gems/%{pkgname}-%{version}.gem
# Source0-md5:	abeec1cab9696e02069e74bd3eac8a1b
URL:		http://rubygems.org/gems/net-scp
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
%if %{with tests}
BuildRequires:	ruby-mocha
BuildRequires:	ruby-net-ssh >= 2.6.5
BuildRequires:	ruby-test-unit
%endif
Requires:	ruby-net-ssh >= 2.6.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A pure Ruby implementation of the SCP client protocol

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

%if %{with tests}
ruby -Itest test/test_all.rb
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rdoc CHANGES.txt LICENSE.txt
%{ruby_vendorlibdir}/net/scp.rb
%{ruby_vendorlibdir}/net/scp
%dir %{ruby_vendorlibdir}/uri
%{ruby_vendorlibdir}/uri/open-scp.rb
%{ruby_vendorlibdir}/uri/scp.rb
%{ruby_specdir}/net-scp-%{version}.gemspec

%if 0
%files doc
%defattr(644,root,root,755)
%endif
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-net-scp.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> b17dfac
- release 2 (by relup.sh)

* Sun Jul 15 2018 Jan Rękorajski <baggins@pld-linux.org> 5f6f600
- up to 1.2.1

* Mon Mar 14 2016 Elan Ruusamäe <glen@delfi.ee> 3a26328
- up to 1.1.2

* Tue Sep 01 2015 Elan Ruusamäe <glen@delfi.ee> addaff9
- rebuild without versioned ruby abi dep
- release 6 (by relup.sh)

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> 9247fc6
- rebuild with gemspec deps

* Thu Sep 18 2014 Elan Ruusamäe <glen@delfi.ee> a7b8952
- /usr/share/ruby/vendor_ruby/net owned by ruby package

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 2b48db9
- rebuild for ruby 2.0
- release 3 (by relup.sh)

* Wed Sep 25 2013 Elan Ruusamäe <glen@delfi.ee> e6cc734
- package gemspec

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> 909ed46
- up to 1.1.0

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> 238af4b
- test bcond header

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> 199c6f5
- new, version 1.0.4

